#!/bin/bash

# Prüfen, ob wir im data-Verzeichnis sind
if [[ $(basename "$PWD") != "data" ]]; then
  echo "Fehler: Bitte wechseln Sie in das 'data'-Verzeichnis"
  exit 1
fi

# Prüfen, ob der HTML-Ordner im übergeordneten Verzeichnis existiert
if [[ ! -d "../html" ]]; then
  echo "Fehler: Das Verzeichnis '../html' existiert nicht"
  exit 1
fi

echo "Creating html files..."
bash ../../tools/html2string.sh ../html/index_template_top.html > index_template_top.html
bash ../../tools/html2string.sh ../html/index_template_middle.html > index_template_middle.html
bash ../../tools/html2string.sh ../html/index_template_bottom.html > index_template_bottom.html
bash ../../tools/html2string.sh ../html/config_template.html > config_template.html
bash ../../tools/html2string.sh ../html/light_control_template.html > light_control_template.html
bash ../../tools/html2string.sh ../html/top.js > top.js
bash ../../tools/html2string.sh ../html/bottom.js > bottom.js
cp -av ../html/style.css . > /dev/null

